Summary: The internet super-server
Name: inetd-freebsd
Version: 3.4
Release: 2
Copyright: BSD
Group: System/Base
Source0: inetd-freebsd-%{version}.tar.gz
Source1: inetd-syslinux.c
Source2: inetd.conf.freebsd
Source3: inet.freebsd
Patch0:  inetd-freebsd.patch
Provides: inetd
Prereq: /sbin/chkconfig
Requires: tcp_wrappers
BuildRequires: gcc-sg
Obsoletes: inetd
BuildRoot: /var/tmp/%{name}-root
Serial: 2000051201
Distribution: TurboLinux Japan

Summary(zh_CN.EUC): [ϵͳ]ϵͳĻ
Summary(zh_TW.Big5): [(t](tκ3n%]

%description
An improved version of inetd, internet super-server ported
from FreeBSD.

%prep
%setup -n inetd
%patch0 -p1 -b .linux

%build
cp $RPM_SOURCE_DIR/inetd-syslinux.c syslinux.c
gcc -V2.7.2.3SG -o inetd $RPM_OPT_FLAGS -DOLD_SETPROCTITLE inetd.c builtins.c syslinux.c -lwrap -lnsl

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin

#make INSTALLROOT=$RPM_BUILD_ROOT install

install -cs -m 755 inetd $RPM_BUILD_ROOT/usr/sbin
install -c -m 644 inetd.8 $RPM_BUILD_ROOT/usr/man/man8

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 644 $RPM_SOURCE_DIR/inetd.conf.freebsd $RPM_BUILD_ROOT/etc/inetd.conf
install -m 755 $RPM_SOURCE_DIR/inet.freebsd $RPM_BUILD_ROOT/etc/rc.d/init.d/inet

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add inet

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del inet
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) %config /etc/rc.d/init.d/inet
/usr/man/man8/inetd.8
/usr/sbin/inetd
/etc/inetd.conf

%changelog
* Fri May 12 2000 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- rebuid with gcc-sg

* Mon Mar 13 2000 KC M <kcm@turbolinux.co.jp>
- ported from FreeBSD 3.4R
