#include <stdio.h>
#include <netinet/in.h>

#define	_PATH_PROCNET_TCP	"/proc/net/tcp"

#ifndef	SCM_CREDENTIALS
struct ucred {
  uid_t uid;
};
#endif

int
setlogin(char *name)
{
  return(0);
}

int
sysctlbyname(const char *name, struct ucred *uc, unsigned int *blen,
	     struct sockaddr_in *sin, unsigned int *slen)
{
  FILE *fp;
  int found=-1;
  unsigned int laddr, lport, raddr, rport, sl, uid, dum;
  char buf[BUFSIZ], *p;

  if  ((fp = fopen(_PATH_PROCNET_TCP, "r")) == NULL)
    return(-1);
  while (fgets(buf, sizeof(buf) - 1, fp)) {
    if (found < 0 && strstr(buf, "queue")) {
      found = 0;
      continue;
    }
    sl = laddr = lport = raddr = rport = uid = dum = 0;
    sscanf(buf, "%d: %X:%X %X:%X %d %d:%d %d:%d %d %d",
	   &sl, &laddr, &lport, &raddr, &rport,
	   &dum, &dum, &dum, &dum, &dum, &dum, &uid);
#ifdef	TEST
    printf("%d: %X:%d %X:%d %d\n",
	   sl, laddr, lport, raddr, rport, uid);
#endif
    if (sin[0].sin_port == lport && sin[1].sin_port == rport) {
      found = 1;
      break;
    }
  }
  fclose(fp);
  if (found > 0) {
    uc->uid = uid;
    return(0);
  }
  return(-1);
}

#ifdef	TEST
main()
{
  struct ucred uc;
  int blen, slen;
  struct sockaddr_in sin[2];


  sysctlbyname(NULL, &uc, &blen, sin, &slen);
}
#endif
